using Pixiview.Utils;
using Xamarin.Forms;

namespace Pixiview.UI.Theme
{
    public partial class DarkTheme : ThemeBase
    {
        private static DarkTheme _instance;

        public static DarkTheme Instance
        {
            get
            {
                if (_instance == null)
                {
                    _instance = new DarkTheme();
                }
                return _instance;
            }
        }

        public DarkTheme()
        {
            InitColors();
            InitResources();
        }

        private void InitColors()
        {
            Add(StatusBarStyle, StatusBarStyles.WhiteText);
            Add(WindowColor, Color.Black);
            Add(TextColor, Color.White);
            Add(SubTextColor, Color.LightGray);
            Add(MainColor, Color.FromRgb(0x33, 0x33, 0x33));
            Add(MainTextColor, Color.White);
            Add(SubColor, Color.FromRgb(0x33, 0x33, 0x33));
        }
    }
}
